oasis.names.tc.dss._1_0.core.schema

## Class AttachmentReference

- java.lang.Object
- - oasis.names.tc.dss._1_0.core.schema.AttachmentReference

- All Implemented Interfaces:
    Serializable

      @Generated(value="com.sun.tools.xjc.Driver",
                 date="2026-02-09T10:39:19+01:00",
                 comments="JAXB RI v2.3.7")
      public class AttachmentReference
      extends Object
      implements Serializable

  Java class for AttachmentReferenceType complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="AttachmentReferenceType">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence minOccurs="0">
               <element ref="{http://www.w3.org/2000/09/xmldsig#}DigestMethod"/>
               <element ref="{http://www.w3.org/2000/09/xmldsig#}DigestValue"/>
             </sequence>
             <attribute name="AttRefURI" type="{http://www.w3.org/2001/XMLSchema}anyURI" />
             <attribute name="MimeType" type="{http://www.w3.org/2001/XMLSchema}string" />
           </restriction>
         </complexContent>
       </complexType>

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AttachmentReference()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getAttRefURI()` Gets the value of the attRefURI property.
    `DigestMethod` | `getDigestMethod()` Gets the value of the digestMethod property.
    `byte[]` | `getDigestValue()` Gets the value of the digestValue property.
    `String` | `getMimeType()` Gets the value of the mimeType property.
    `void` | `setAttRefURI(String value)` Sets the value of the attRefURI property.
    `void` | `setDigestMethod(DigestMethod value)` Sets the value of the digestMethod property.
    `void` | `setDigestValue(byte[] value)` Sets the value of the digestValue property.
    `void` | `setMimeType(String value)` Sets the value of the mimeType property.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AttachmentReference

          public AttachmentReference()

  - ### Method Detail

    - #### getDigestMethod

          public DigestMethod getDigestMethod()

      Gets the value of the digestMethod property.
      Returns:
        possible object is `DigestMethod`

    - #### setDigestMethod

          public void setDigestMethod(DigestMethod value)

      Sets the value of the digestMethod property.
      Parameters:
        `value` - allowed object is `DigestMethod`

    - #### getDigestValue

          public byte[] getDigestValue()

      Gets the value of the digestValue property.
      Returns:
        possible object is byte[]

    - #### setDigestValue

          public void setDigestValue(byte[] value)

      Sets the value of the digestValue property.
      Parameters:
        `value` - allowed object is byte[]

    - #### getAttRefURI

          public String getAttRefURI()

      Gets the value of the attRefURI property.
      Returns:
        possible object is `String`

    - #### setAttRefURI

          public void setAttRefURI(String value)

      Sets the value of the attRefURI property.
      Parameters:
        `value` - allowed object is `String`

    - #### getMimeType

          public String getMimeType()

      Gets the value of the mimeType property.
      Returns:
        possible object is `String`

    - #### setMimeType

          public void setMimeType(String value)

      Sets the value of the mimeType property.
      Parameters:
        `value` - allowed object is `String`

Connector Packaging PERSOCCUPATIONALTHERAPIST 4.8.5 API
Copyright © {inceptionYear}-2026 eHealth. All Rights Reserved.